Bug 1277993 - Node users list pagination doesn't work
Node users list pagination doesn't work
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Martin Hradil
Marius Cornea
:
: 1278871 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 08:54 EST by Marius Cornea
Modified: 2015-12-08 08:43 EST (History)
11 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:43:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Cornea 2015-11-04 08:54:18 EST
Description of problem:
The nodes users list pagination doesn't seem to work. When trying to change the Items per page in the users list the page still shows the default number(20). 

Version-Release number of selected component (if applicable):
5.5.0.9-beta2.20151102161742_5530c9a

How reproducible:
100%

Steps to Reproduce:
1. Add Openstack Infra Provider
2. Run SSA on the associated nodes
3. Click on one of the nodes
4. Go to Security - Users
5. Change Items per page from 20 to 50

Actual results:
The page still shows 20 users

Expected results:
The page shows 50 users
Comment 2 Ladislav Smola 2015-11-05 09:09:54 EST
seems like tables in this whole SSA area are broken

when I want to sort it throws this exception:
http://paste.openstack.org/show/478100/

changing pagination does some huge JS syntax error, not clear at first sight what it means
Comment 3 Ladislav Smola 2015-11-05 09:53:39 EST
sorting fixed here https://bugzilla.redhat.com/show_bug.cgi?id=1278469
Comment 4 Ladislav Smola 2015-11-06 03:12:35 EST
Changing to mhradil, seems like this JS issue appears in all nested tables. He has a better knowledge of this area.
Comment 8 Martin Hradil 2015-11-10 11:23:18 EST
*** Bug 1278871 has been marked as a duplicate of this bug. ***
Comment 9 CFME Bot 2015-11-10 13:45:21 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/295b0e4cca25413183f3176d472767568b6bc85e

commit 295b0e4cca25413183f3176d472767568b6bc85e
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Tue Nov 10 16:17:39 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Tue Nov 10 16:17:44 2015 +0000

    miqSelectPickerEvent - handle urls with non-empty query_string
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277993

 app/assets/javascripts/miq_application.js | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
Comment 10 Martin Hradil 2015-11-10 16:38:30 EST
Ladas.. could the 5.4.z error (in comment 6) be related to https://bugzilla.redhat.com/show_bug.cgi?id=1278469 ?
Comment 11 Ladislav Smola 2015-11-11 02:48:29 EST
@Martin yeah it seems that is the same error
Comment 13 CFME Bot 2015-11-12 15:31:24 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=5f8ef6a32a94f88890c2e3ced80954002ee8c4b0

commit 5f8ef6a32a94f88890c2e3ced80954002ee8c4b0
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Tue Nov 10 16:17:39 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Nov 11 13:22:35 2015 +0000

    miqSelectPickerEvent - handle urls with non-empty query_string
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277993
    (cherry picked from commit 295b0e4cca25413183f3176d472767568b6bc85e)

 app/assets/javascripts/miq_application.js | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
Comment 14 CFME Bot 2015-11-12 15:31:31 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=11313ff031ad43a3b4b2490722cf7fcd13fe3d38

commit 11313ff031ad43a3b4b2490722cf7fcd13fe3d38
Merge: daa644e 5f8ef6a
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 11 09:54:33 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 11 09:54:33 2015 -0500

    Merge branch 'bz1277993-55' into '5.5.z'
    
    miqSelectPickerEvent - handle urls with non-empty query_string
    
    Fixes pagination in Security/Users, or generally anywhere with ? in url.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277993
    (cherry picked from commit 295b0e4cca25413183f3176d472767568b6bc85e)
    
    clean cherry-pick, from [#5374](https://github.com/ManageIQ/manageiq/pull/5374)
    
    See merge request !404

 app/assets/javascripts/miq_application.js | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
Comment 15 Marius Cornea 2015-11-20 13:14:40 EST
Verified in 5.5.0.11
Comment 17 errata-xmlrpc 2015-12-08 08:43:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.